#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    printf("Unesi n:");
    scanf("%d", &n);
    int a[n], b[n], l, r,ab, bp, pn, pnmax=0;
    printf("Unesi prvi niz\n");
    for(int i=0; i<n; i++){
        scanf("%d", &a[i]);
    }
    printf("Unesi drugi niz\n");
    for(int i=0; i<n; i++){
        scanf("%d", &b[i]);
    }
    for(int j=1; j<=n; j++){
        l=j;
        for(int p=1; p<=n; p++){
            r=p;
            ap=a[l-1];
            bp=b[l-1];
            for(int i=l; i<=r-1; i++){
                ap=ap^a[i];
                bp=bp&b[i];
            }
            pn=ap*bp;
            if(pn>pnmax){
                pnmax=pn;
            }
        }
    }
    printf("%d", pnmax);
}